Bug 469615 - [fix available] oodraw can not open .met files directly from command line
[fix available] oodraw can not open .met files directly from command line
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.3
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 01:33 EST by lihuang
Modified: 2009-09-02 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.met file (139.36 KB, application/octet-stream)
2008-11-03 01:33 EST, lihuang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 95793 None None None Never

  None (edit)
Description lihuang 2008-11-03 01:33:43 EST
Created attachment 322263 [details]
.met file 

Description of problem:
Issue command ' oodraw2 mairshw.met ' under terminal. OOo2 quit immediately.
while command ' ooffice2 mairshw.met ' works well.
(the attachment is the metafile in the case )

Version-Release number of selected component (if applicable):
openoffice.org2-draw-2.0.4-5.7.0.5.0.ppc
openoffice.org2-graphicfilter-2.0.4-5.7.0.5.0.ppc

How reproducible:
Everytime

Steps to Reproduce:
1.Enter 'oodraw2 mairshw.met' under g-t
2.
3.
  

Actual results:
oodraw2 failed to open the metafile from command line

Expected results:


Additional info:
1. No warning/error is given from the terminal.
2. oodraw2 can open the .met file from menu successfully.
Comment 1 lihuang 2008-11-03 02:55:31 EST
open  .pbm .pct .pgm .ppm files has the same problem.
Comment 2 Caolan McNamara 2008-11-03 05:33:06 EST
They will open from "soffice.bin" in all cases. But not from oodraw when there are no windows already open. And they will if there is any window already open.

Happens in all version including 3.0 in F-10. Fixing for a RHEL-5 makes sense to me, but not for a OOo2 tech preview in RHEL-4.
Comment 3 Lawrence Lim 2008-11-03 20:16:41 EST
llim->lihuang, pls clone a bug for fedora if it does not exist.
Comment 4 Caolan McNamara 2009-03-12 06:22:25 EDT
checked in for >= 2.3.0-6.11
Comment 8 errata-xmlrpc 2009-09-02 05:09:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1248.html

Note You need to log in before you can comment on or make changes to this bug.